<?php
 require_once "../config/db.php";
 require_once "../config/BD.php";


class Session_model{
	
	public function __construct(){
		//$this->bdmitra = BD::obtenerMitra();
		$this->bd = BD::obtener();
		
	}

	public function sign_in($user,$pass){

       

		 /*usuarios local */
		
        $sentencia = $this->bd->prepare("select id, username, password, user_role from user where username = ? limit 1;");
        $sentencia->execute([$user]);
        if ($sentencia->rowCount() < 0) {
            return false;
        }

        $usuario = $sentencia->fetch(PDO::FETCH_OBJ);
        $pass = strtolower(md5($pass));
        $Userpass = strtolower($usuario->password);

        
        
        if($pass==$Userpass){
            //SesionService::propagarIdUsuario($usuario->id);
            $respuesta['id']=$usuario->id; 
            $respuesta['user_role']=$usuario->user_role; 
            $respuesta['username']=$usuario->username; 
            $respuesta['status'] = true;
			return $respuesta;
						
            
        }else{	
           	$respuesta['status'] = false;
           	return $respuesta;
		}
	}

	public function get_guardar_usuario($taccion,$idUsuario,$userrol,$tipo_accio,$tipo_user,$rfc_user,$nom_user,$password_encode,$estatus,$correo,$cel)
    {

        $sentencia = $this->bd->prepare("insert into user (nombre, username, password, user_role,correo, celular,estatus, added_date)
            values (?, ?, ?, ?, ?,?,?,NOW());");

        return $sentencia->execute([$nom_user,$rfc_user,$password_encode,$tipo_user,$correo,$cel,$estatus]);

        
    }


    public function get_update_usuario($taccion,$idUsuario,$userrol,$tipo_accio,$tipo_user,$rfc_user,$nom_user,$password_encode,$estatus,$id_prov,$correo,$cel)
    {
         

        $sentencia = $this->bd->prepare("update user set nombre = ?, username = ?, password=?,correo= ?,celular= ?, added_date=NOW() where id=?;");
        return $sentencia->execute([$nom_user,$rfc_user,$password_encode,$correo,$cel,$id_prov]);

        
    }

	

	
	
}